excelExporter.excelParser.dataModel

## Enum ObjectMap.PseudoFieldName

- java.lang.Object
- - java.lang.Enum<ObjectMap.PseudoFieldName>
  - - excelExporter.excelParser.dataModel.ObjectMap.PseudoFieldName

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ObjectMap.PseudoFieldName>
  Enclosing class:
    ObjectMap<T>

      public static enum ObjectMap.PseudoFieldName
      extends java.lang.Enum<ObjectMap.PseudoFieldName>

  This is the list of pseudo-fields of class `ObjectMap` that can be accessed from a StringTemplate V4 template. The enumerated fields can be accessed like ordinary public fields from a StringTemplate V4 template. The dot notation is used to do so. Taking the first named value `name_` as example, one would write `<obj.name_>` to access the related pseudo-field.

  A detailed discussion of pseudo-fields and the enumeration of these can be found in the class description of `ObjectMap`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `exists` Flag `ObjectMap.exists`, the presence of the container in the data model.
    `i_` The one based index-in-collection `ObjectMap.i_` of the object.
    `i0_` The null based index-in-collection `ObjectMap.i0_` of the object.
    `itemAry` The sorted list `ObjectMap.itemAry` of real data items in the container.
    `itemMap` The map `ObjectMap.itemMap` of real data items in the container.
    `name_` The name `ObjectMap.name_` of the container of data items.
    `noItems` The number of real data items in map `ObjectMap.itemMap` and list `ObjectMap.itemAry`, as returned by `ObjectMap.getNoItems()`.
    `objId` The unique ID `ObjectMap.objId` of this object in the data model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ObjectMap.PseudoFieldName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ObjectMap.PseudoFieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### name_

          public static final ObjectMap.PseudoFieldName name_

      The name `ObjectMap.name_` of the container of data items.

      From a StringTemplate V4 template the object name would be accessed with an expression like `<object.name_>`.

      Remark:
        Careful, this yields an `Identifier` object, not a Java String. Rending the name as `<object.name_>` in a StringTemplate V4 template will evaluate to the name as C identifier. `<object.name_.givenName>` rather is what you may intend.

    - #### objId

          public static final ObjectMap.PseudoFieldName objId

      The unique ID `ObjectMap.objId` of this object in the data model.

      From a StringTemplate V4 template the ID would be accessed with an expression like `<object.objId>`.

    - #### i0_

          public static final ObjectMap.PseudoFieldName i0_

      The null based index-in-collection `ObjectMap.i0_` of the object.

      From a StringTemplate V4 template the index would be accessed with an expression like `<object.i0_>`.

    - #### i_

          public static final ObjectMap.PseudoFieldName i_

      The one based index-in-collection `ObjectMap.i_` of the object.

      From a StringTemplate V4 template the index would be accessed with an expression like `<object.i_>`.

    - #### itemAry

          public static final ObjectMap.PseudoFieldName itemAry

      The sorted list `ObjectMap.itemAry` of real data items in the container. (Pseudo-fields are not element of this list.)

      From a StringTemplate V4 template the list would be accessed with an expression like `<object.itemAry>`.

    - #### itemMap

          public static final ObjectMap.PseudoFieldName itemMap

      The map `ObjectMap.itemMap` of real data items in the container. (Pseudo-fields are not element of this map.)

      From a StringTemplate V4 template the map would be accessed with an expression like `<object.itemMap>`. The map is sorted in case-sensitive lexical order of key strings (i.e. names of the data items).

    - #### noItems

          public static final ObjectMap.PseudoFieldName noItems

      The number of real data items in map `ObjectMap.itemMap` and list `ObjectMap.itemAry`, as returned by `ObjectMap.getNoItems()`.

      From a StringTemplate V4 template the number of items would be accessed with an expression like `<object.noItems>`.

    - #### exists

          public static final ObjectMap.PseudoFieldName exists

      Flag `ObjectMap.exists`, the presence of the container in the data model.

      From a StringTemplate V4 template the flag would be queried with an expression like `<if(container.exists)>Can evaluate container contents<endif>`.

  - ### Method Detail

    - #### values

          public static ObjectMap.PseudoFieldName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ObjectMap.PseudoFieldName c : ObjectMap.PseudoFieldName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ObjectMap.PseudoFieldName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null